%define api		3
%define major		2
%define libname		%mklibname %{name}%{api}_ %{major}
%define girname		%mklibname %{name}-gir %{api}
%define libnamedev	%mklibname %{name}%{api} -d


Name:		bamf
Summary:	Removes applications matching into a simple DBusdaemon and C wrapper library
Group:		System/Libraries
Version:	0.5.5
Release:	%mkrel 2
License:	GPLv3
URL:		https://launchpad.net/bamf
Source0:	https://launchpad.net/bamf/0.5/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	python3dist(lxml)

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

#--------------------------------------------------------------------
%package daemon
Summary:	BAMF daemon
Group:		System/Libraries
License:	GPLv3

%description daemon
BAMF daemon.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files daemon
%doc COPYING
%dir %{_libexecdir}/bamf/
%{_libexecdir}/bamf/bamfdaemon
%{_libexecdir}/bamf/bamfdaemon-dbus-runner
%{_datadir}/dbus-1/services/*.service
%{_userunitdir}/bamfdaemon.service
# upstart stuff
%exclude %{_datadir}/upstart/sessions/bamfdaemon.conf

#--------------------------------------------------------------------
%package -n %{libname}
Summary:	BAMF libray
Group:		System/Libraries

%description -n	%{libname}
Library for %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files -n %{libname}
%{_libdir}/libbamf3.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
License:	GPLv3
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
This package contains libraries and header files for developing applications
that use %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.

%files -n %{libnamedev}
%doc COPYING.LGPL COPYING
%{_includedir}/libbamf3/
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gir-1.0/Bamf-%{api}.gir
%{_datadir}/vala/vapi/libbamf3.vapi

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Bamf-%{api}.typelib

#--------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

# fix build with glib >= 2.62
sed -i -e '/CFLAGS/s,-Werror\s\?,,g' configure.ac

%build
autoreconf -vfi
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%configure \
    --disable-static \
    --enable-introspection=yes
%make_build

%install
%make_install

# Clean .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.5.5-2.mga9
+ Revision: 1836305
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 mrambo3501 <mrambo3501> 0.5.5-1.mga9
+ Revision: 1768607
- version 0.5.5
- removed unneeded python2 Patch0

* Sun Feb 16 2020 umeabot <umeabot> 0.5.4-4.mga8
+ Revision: 1532470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 wally <wally> 0.5.4-3.mga8
+ Revision: 1442355
- add patch to build without python2-libxml2 and python2-libxslt
- disable -Werror to fix build with glib >= 2.62
+ daviddavid <daviddavid>
- do not treat warnings as errors

* Thu Nov 22 2018 shlomif <shlomif> 0.5.4-1.mga7
+ Revision: 1333223
- New version 0.5.4

* Fri Sep 21 2018 umeabot <umeabot> 0.5.3-4.mga7
+ Revision: 1295304
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 daviddavid <daviddavid> 0.5.3-3.mga7
+ Revision: 1197505
- do not exclude bamfdaemon-dbus-runner

* Mon Sep 04 2017 cjw <cjw> 0.5.3-2.mga7
+ Revision: 1151199
- rebuild for new libgtop

* Mon Oct 31 2016 daviddavid <daviddavid> 0.5.3-1.mga6
+ Revision: 1064382
- new version: 0.5.3
- remove merged upstream return-void patch

* Mon Oct 31 2016 daviddavid <daviddavid> 0.5.0-9.mga6
+ Revision: 1064353
- add patch to make sure that -Werror cflags is properly disable thus fixing FTBFS

* Sat Feb 13 2016 umeabot <umeabot> 0.5.0-8.mga6
+ Revision: 959566
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 wally <wally> 0.5.0-7.mga6
+ Revision: 847147
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 745999
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 693485
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 678108
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 fwang <fwang> 0.5.0-3.mga5
+ Revision: 632798
- rebuild for new gtop
+ wally <wally>
- own unowned dir

* Sun May 04 2014 wally <wally> 0.5.0-2.mga5
+ Revision: 620039
- move .gir file to devel pkg
- tag docs as such

* Sun May 04 2014 shlomif <shlomif> 0.5.0-1.mga5
+ Revision: 619996
- Missing BRs
- Fix the gir repos
- New version 0.5.0

* Sat Oct 19 2013 umeabot <umeabot> 0.2.118-5.mga4
+ Revision: 533723
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 luigiwalser <luigiwalser> 0.2.118-4.mga4
+ Revision: 474920
- rpm no longer allows putting a slash after a symlink in files

* Fri Jan 11 2013 umeabot <umeabot> 0.2.118-3.mga3
+ Revision: 346838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 pterjan <pterjan> 0.2.118-2.mga3
+ Revision: 339573
- Fix for _libdir != _libexecdir
- Rebuild with fixed date in old changelog

* Sat Jun 16 2012 shlomif <shlomif> 0.2.118-1.mga3
+ Revision: 261030
- imported package bamf


* Thu Jun 14 2012 Simple <simplew8@gmail.com> 0.2.118-1
- 0.2.118

* Sat Apr 14 2012 Simple <simplew8@gmail.com> 0.2.114-2
- fix source link
- fix requires
- gtk-doc is needed

* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.2.114-1
- first package
